DCMTK - Bug #442

Confusing error message from storescu
2012-08-24 15:55 - Uli Schlachter

Status: Closed Start date: 2012-08-24
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.2

Module: dcmnet Compiler:

Operating System:

Description
On caesar, do the following:
storescp -od /tmp/ 1234 --prefer-lossless >/dev/null &
storescu localhost 1234 /share/dicom/contrib/20120820_ith-icoserve_thumbnail_in_private_sequence
/1C2E5A59-anonymized.dcm —-propose—lossless
Result:
W: DIMSE Warning: (STORESCU,ANY-SCP): sendMessage: unable to convert dataset from 'JPEG Lossless,
Non-hierarchical, 1lst Order Prediction' transfer syntax to 'JPEG Lossless, Non-hierarchical, 1lst O

rder Prediction'

It should be figured out why this weird warning is printed and how we can get a more meaningful message.

History

#1 - 2013-02-13 17:24 - J6rg Riesmeier

- Target version set to 3.6.2

#2 - 2013-03-13 11:37 - Uli Schlachter

- Status changed from New to Closed

This seems to be already fixed. It works with latest storescu, but still fails with storescu from release 3.6.0. Sadly, | don't know what happens
(storescu from current git prints a warning, but that seems unrelated).
